Cudy
8-Port Gigabit Switch with USB-C Power Input, GS108U 2.0
- Weight
- 87.5 g
- Colour
- White
- Switch type
- Unmanaged
19,40 €
See the offerAd · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel · Network Switch
Model GS1900-24HPMPN GS190024HPV2-GB0101FMPN GS1900-24HPMPN GS1900-24HP-EU0101FEAN 4718937609512EAN 132018551370
Lowest price
355,46 €
at Netzwerkartikel.deIn stock
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history is being collected. After 14 days of prices we will show whether today's price is good.
20 specifications from the manufacturer's data sheet
| Switch type | Managed |
|---|---|
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493 |
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Gigabit Ethernet (copper) ports quantity | 24 |
| SFP module slots quantity | 2 |
| Networking standards | IEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-T, 10BASE-T |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
| MAC address filtering | Yes |
|---|---|
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS |
| Management protocols | SNMP v1,v2,v3, RMON (1,2,3,9) |
|---|
| Product colour | Black |
|---|---|
| Safety | LVD EN60950-1, BSMI CNS14336-1 |
| Power over Ethernet (PoE) | Yes |
|---|
| Certification | CE, FCC, C-Tick, Class A (GS1900-8HP/24/24HP/48/48HP) CE, FCC, C-Tick, Class B (GS1900-8/16/24E) BSMI CNS13438 |
|---|
Cudy
19,40 €
See the offer197,64 €
See the offerLevelOne
Model IGP-1091
674,25 €
See the offerLevelOne
Model GEU-1632
166,15 €
See the offerLevelOne
Model GEU-2432
208,00 €
See the offerNETGEAR
Model GS310TPv2
204,39 €
See the offerNETGEAR
Model GS324TPv2
437,85 €
See the offerNETGEAR
Model GS348TPv2
917,05 €
See the offer